Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.csv.shuffle
Class ShuffleCSV

    java.lang.Object
      org.encog.app.analyst.csv.basic.BasicFile
          org.encog.app.analyst.csv.shuffle.ShuffleCSV

All Implemented Interfaces:
  QuantTask

    public class ShuffleCSV

extends BasicFile

Randomly shuffle the lines of a CSV file.

Field Summary
`static int` | `DEFAULT_BUFFER_SIZE` The default buffer size.

Fields inherited from class org.encog.app.analyst.csv.basic.BasicFile
`REPORT_INTERVAL`

Constructor Summary
`ShuffleCSV()` Construct the object.

Method Summary
`void` | `analyze(File inputFile, boolean headers, CSVFormat format)` Analyze the neural network.
`int` | `getBufferSize()`
`void` | `process(File outputFile)` Process, and generate the output file.
`void` | `setBufferSize(int s)` Set the buffer size.

Methods inherited from class org.encog.app.analyst.csv.basic.BasicFile
`appendSeparator, getColumnCount, getInputFilename, getInputFormat, getInputHeadings, getOutputFormat, getPrecision, getRecordCount, getReport, getReportInterval, getScript, isAnalyzed, isExpectInputHeaders, isProduceOutputHeaders, performBasicCounts, prepareOutputFile, readHeaders, reportDone, reportDone, requestStop, resetStatus, setAnalyzed, setColumnCount, setExpectInputHeaders, setInputFilename, setInputFormat, setInputHeadings, setOutputFormat, setPrecision, setProduceOutputHeaders, setRecordCount, setReport, setReportInterval, setScript, shouldStop, toString, updateStatus, updateStatus, validateAnalyzed, writeRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_BUFFER_SIZE

    public static final int DEFAULT_BUFFER_SIZE

  The default buffer size.

  See Also:
    Constant Field Values

Constructor Detail

### ShuffleCSV

    public ShuffleCSV()

  Construct the object.

Method Detail

### analyze

    public final void analyze(File inputFile,
                              boolean headers,
                              CSVFormat format)

  Analyze the neural network.

  Parameters:
    `inputFile` - The input file.
    `headers` - True, if there are headers.
    `format` - The format of the CSV file.

### getBufferSize

    public final int getBufferSize()

  Returns:
    The buffer size. This is how many rows of data are loaded(and randomized), at a time. The default is 5,000.

### process

    public final void process(File outputFile)

  Process, and generate the output file.

  Parameters:
    `outputFile` - The output file.

### setBufferSize

    public final void setBufferSize(int s)

  Set the buffer size.

  Parameters:
    `s` - The new buffer size.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.